%global commit 29d74cf3296948cdd9517591c34be2ad59069b01
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           libhandy1
Version:        0.9.90
Release:        1%{?dist}
Summary:        Library with GTK+ widgets for mobile phones

License:        LGPLv2+
URL:            https://source.puri.sm/Librem5/libhandy/
#Source0:        https://source.puri.sm/Librem5/libhandy/-/archive/v%{version}/libhandy-v%{version}.tar.bz2
Source0:        https://source.puri.sm/Librem5/libhandy/-/archive/%{shortcommit}/libhandy1-%{version}-%{shortcommit}.tar.bz2

BuildRequires:  gcc
BuildRequires:  gtk-doc
BuildRequires:  meson
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gladeui-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gmodule-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  vala

%description
libhandy provides GTK+ widgets and GObjects to ease developing
applications for mobile phones.

%package        devel
Summary:        Development files for %{name}
Conflicts:	libhandy-devel
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -n libhandy-%{shortcommit}-%{commit} -p1

%build
%meson -Dgtk_doc=true -Dexamples=false
%meson_build

%install
%meson_install

%files
%license COPYING
%doc README.md
%{_libdir}/girepository-1.0/
%{_libdir}/libhandy-1.so.0*

%files devel
%{_includedir}/libhandy-1/
%{_libdir}/glade/
%{_libdir}/libhandy-1.so
%{_libdir}/pkgconfig/libhandy-1.pc
%{_datadir}/gir-1.0/
%{_datadir}/glade/
%{_datadir}/gtk-doc/
%{_datadir}/vala/

%changelog
* Mon Feb 17 2020 Yanko Kaneti <yaneti@declera.com> - 0.9.90-29d74cf3
- Copy the libhandy 0 spec and tweak for -1 prerelease
